<mat-card *ngIf="hero" class="hero-detail-card" [class.layout-is-mobile]="isMobile" [style.width.%]="isMobile ? 100 : 40">
  <mat-card-header>
    <div mat-card-avatar [style.backgroundImage]="'url(' + getThumbnail(hero) + ')'" class="header-image"></div>
    <mat-card-title>{{ hero.name }}</mat-card-title>
  </mat-card-header>
  <img mat-card-image src="{{getThumbnail(hero)}}" alt="{{'Photo of '+ hero.name}}">
  <mat-card-content *ngIf="hero.description.length > 0">
    <p>
      {{ hero.description }}
    </p>
  </mat-card-content>
  <mat-card-actions align="center" *ngIf="loggedIn">
    <button mat-raised-button color="warn" *ngIf="inFavorite" (click)="remove.emit(hero)">
      Remove hero from favorite
    </button>
    <button mat-raised-button color="primary" *ngIf="!inFavorite" (click)="add.emit(hero)">
      Add hero to favorite
    </button>
  </mat-card-actions>
</mat-card>